stages:
  - deploy_app

deploy-to-vercel-dev:
  stage: deploy_app
  image: node:latest
  variables:
    PREVIEW_URL: https://$VERCEL_SCOPE-tobiasparaiso.vercel.app
    VERCEL_SCOPE: nextjs
  #rules:
    #- if: $CI_MERGE_REQUEST_IID
    #- if: $CI_COMMIT_TAG
    #- if: $CI_COMMIT_BRANCH == '/^chore.*$/'
  environment:
    name: vercel/develop
    url: $PREVIEW_URL
  script:
    - npm i -g vercel
    - DEPLOYMENT_URL=$(vercel --confirm -t $VERCEL_TOKEN)
    - vercel alias set $DEPLOYMENT_URL $PREVIEW_URL -t $VERCEL_TOKEN
